
static babel_rec master[] =	
{	
  {none,"No name","xx",noaction,NULL},			
  {alchemy,"Alchemy","t",input,read_alchemy},
  {ampac_output,"AMPAC output","ampout",input,read_ampac_output},
  {amber_prep,"AMBER PREP","prep",input,read_amber_prep}, 
  {ball_and_stick,"Ball and Stick","bs",input,read_bs},
  {biosym_car,"Biosym .CAR","car",input,read_biosym_car,},
  {boogie,"Boogie","boog",input,read_boogie,},
  {caccrt,"Cacao Cartesian","caccrt",input,read_caccrt},
  {cadpac,"Cambridge CADPAC","cadpac",input,read_cadpac},
  {charmm,"CHARMm","charmm",input,read_charmm},
  {chem3d1,"Chem3D Cartesian 1","c3d1",input,read_chem3d1},
  {chem3d2,"Chem3D Cartesian 2","c3d2",input,read_chem3d2},
  {csd_cssr,"CSD CSSR","cssr",input,read_csd_fractional},
  {csd_fdat,"CSD FDAT","fdat",input,read_fdat},
  {csd_gstat,"CSD GSTAT","c",input,read_csd},
  {feature, "Feature","feat",input,read_feat},
  {free_fract,"Free Form Fractional","f",input,read_fform_fract},
  {gamess_output,"GAMESS Output","gamout",input,read_gamess_output},
  {gaussian_input,"Gaussian Z-Matrix","g",input,read_gau_zmatrix},
  {gaussian_output,"Gaussian Output","gauout",input,read_gau_out},
  {hyperchem_hin,"Hyperchem HIN","hin",input,read_hin},
  {isis,"MDL Isis","isis",input,read_isis},
  {mac_molecule,"Mac Molecule","macmol",input,read_mcmol},
  {macromodel,"Macromodel","k",input,read_macromodel},    
  {micro_world,"Micro World","micro",input,read_micro},
  {mm2_input,"MM2 Input","mi",input,read_mm2_input},
  {mm2_output,"MM2 Ouput","mo",input,read_mm2},
  {mm3,"MM3","mm3",input,read_mm3},
  {mmads,"MMADS","mmads",input,read_mmads},
  {molfile,"MDL MOLfile","mdl",input,read_mdl},
  {molin,"MOLIN","molen",input,read_molin},
  {mopac_cartesian,"Mopac Cartesian","ac",input,read_mop_cart},
  {mopac_internal,"Mopac Internal","ai",input,read_mopint},    
  {mopac_output,"Mopac Output","ao",input,read_mopac_output},
  {pcmodel,"PC Model","pc",input,read_pcmodel},
  {pdb,"PDB","p",input,read_pdb},
  {quanta,"Quanta","quanta",input,read_quanta},
  {shelx,"ShelX","shelx",input,read_shelx},
  {spartan,"Spartan","spar",input,read_spartan},
  {spart_semi,"Spartan Semi-Empirical","semi",input,read_spartan_semiempirical}, 
  {spart_mm,"Spartan Mol. Mechanics","spmm",input,read_spartan_mol_mech},
  {sybyl_mol,"Sybyl Mol","mol",input,read_sybyl_mol},
  {sybyl_mol2,"Sybyl Mol2","mol2",input,read_sybyl},
  {wizard,"Conjure","wiz",input,read_wizard},
  {maccs2d,"Maccs 2d","maccs2",input,read_maccs2d},
  {maccs3d,"Maccs 3d","maccs3",input,read_maccs3d},
  {unixyz,"UniChem XYZ","unixyz",input,read_unichem},
  {xyz,"XYZ","x",input,read_xyz},
  {xed,"XED","xed",input,read_xed},

  {diagnostics,"DIAGNOTICS","diag",output,output_all_formats},

  {alchemy,"Alchemy","t",output,write_alchemy},
  {ball_and_stick,"Ball and Stick","bs",output,write_bs},
  {bmin_com,"Batchmin Command","bmin",output,write_bmin_com},
  {caccrt,"Cacao Cartesian","caccrt",output,write_caccrt},
  {cacao_int,"Cacao Internal","cacint",output,write_cacao_internal},
  {cache_out,"CAChe MolStruct","cache",output,write_cache},
  {chem3d1,"Chem3D Cartesian 1","c3d1",output,write_chem3d1},
  {chem3d2,"Chem3D Cartesian 2","c3d2",output,write_chem3d2},
  {chemdraw,"ChemDraw Conn. Table","d",output,write_chem_draw},
  {wizard,"Wizard","wiz",output,write_wizard},
  {conjure_tmplt,"Conjure Template","contmp",output,write_conjure_tmplt},
  {csd_cssr,"CSD CSSR","cssr",output,write_cssr},
  {feature, "Feature","feat",output,write_feat},
  {fenske_zmat,"Fenske-Hall ZMatrix","fhz",output,write_fenske_zmat},
  {gamess_input,"Gamess Input","gamin",output,write_gamess_input},
  {gaussian_cart,"Gaussian Cartesian","gcart",output,write_gaus_crt},
  {gaussian_input,"Gaussian Z-matrix","g",output,write_gaussian},
  {gaussian_template,"Gaussian Z-matrix tmplt","gotmp",output,write_gaussian_template},
  {hyperchem_hin,"Hyperchem HIN","hin",output,write_hin},
  {icon8,"Icon 8","icon",output,write_icon8},
  {idatm,"IDATM","i",output,write_idatm},
  {mac_molecule,"Mac Molecule","macmol",output,write_mcmol},
  {macromodel,"Macromodel","k",output,write_macromodel},    
  {micro_world,"Micro World","micro",output,write_micro},
  {mm2_input,"MM2 Input","mi",output,write_mm2_input},
  {mm2_output,"MM2 Ouput","mo",output,write_mm2},
  {mm3,"MM3","mm3",output,write_mm3},
  {mmads,"MMADS","mmads",output,write_mmads},
  {molfile,"MDL Molfile","mdl",output,write_molfile},
  {mopac_cartesian,"Mopac Cartesian","ac",output,write_mopac},
  {mopac_internal,"Mopac Internal","ai",output,write_mopac_internal}, 
  {pcmodel,"PC Model","pc",output,write_pcmod},
  {pdb,"PDB","p",output,write_pdb},
  {report,"Report","report",output,print_report_file},
  {spartan,"Spartan","spar",output,write_spartan},
  {sybyl_mol,"Sybyl Mol","mol",output,write_sybyl_mol},
  {sybyl_mol2,"Sybyl Mol2","mol2",output,write_sybyl},
  {maccs,"MDL Maccs file","maccs",output,write_maccs},
  {xed,"XED","xed",output,write_xed,},
  {unixyz,"UniChem XYZ","unixyz",output,write_unichem},
  {xyz,"XYZ","x",output,write_xyz}
};











